# $Id: libtunepimp.spec,v 1.1 2004/10/01 20:15:10 rexdieter Exp $

Summary: A library for creating MusicBrainz enabled tagging applications 
Name:	 libtunepimp2
Version: 0.3.0 
Release: 4%{?dist}

License: LGPL
Group: 	 System Environment/Libraries
URL:	 http://www.musicbrainz.org/products/tunepimp/
Source:	 ftp://ftp.musicbrainz.org/pub/musicbrainz/libtunepimp-0.3.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: libtunepimp-0.3.0-gcc4.patch

BuildRequires: readline-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: flac-devel
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: zlib-devel

#Obsoletes: trm < %{version}-%{release}
#Provides:  trm = %{version}-%{release}

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package -n libtunepimp-devel
Summary: Headers for developing programs that will use %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description -n libtunepimp-devel
%{summary}.


%prep
%setup -q -n libtunepimp-%{version}

%patch1 -p1 -b .gcc4

sed -i -e 's|-Wall -g||' configure


%build
%configure --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# exclude (possibly) conflicting file(s): trm
rm -f $RPM_BUILD_ROOT%{_bindir}/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO 
#{_bindir}/*
%{_libdir}/lib*.so.*

%files -n libtunepimp-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Mon Nov 28 2005 Rex Dieter 0.3.0-4
- omit (possibly) conflicting bits in %%_bindir

* Mon Nov 28 2005 Rex Dieter 0.3.0-3
- BR: libmusicbrainz-devel, zlib-devel
- (re)build against stable (ie, not updates-testing)

* Sat Nov 26 2005 Rex Dieter 0.3.0-2
- libtunepimp2 compat rpm

* Mon Jun 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3.0-1
- gcc4 patch
- 0.3.0 (first try)

